[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBCalendar.Notification

Handles the notification when a component on the control is added or removed.

## Declaration

Source position: dbctrls.pp line 1282

`protected procedure TDBCalendar.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation for the notification.

## Description

Notification is an overridden method in TDBCalendar. It ensures that the DataSource is set to Nil when the component is freed.

## See also

TDBCalendar.DataSource |  | Provides access to the dataset with content for the control.
TControl.Notification |  | Notification handler for insertion or deletion of components.